#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Re-distribution in any form is strictly
//  prohibited. Any infringement will be prosecuted under applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;

namespace Syncfusion.Windows.Forms.Chart.Samples
{
	/// <summary>
	/// The ChartControl sample form.
	/// </summary>
	public class Form1 : Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Button button1;
		private int index = 0;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.panel1 = new System.Windows.Forms.Panel();
			this.button1 = new System.Windows.Forms.Button();
			this.panel1.SuspendLayout();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.Anchor = (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.chartControl1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(237)), ((System.Byte)(240)), ((System.Byte)(247)));
			this.chartControl1.Controls.AddRange(new System.Windows.Forms.Control[] {
																						this.chartControl1.Legend});
			// 
			// chartControl1.Legend
			// 
			this.chartControl1.Legend.Anchor = (System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right);
			this.chartControl1.Legend.BackColor = System.Drawing.Color.White;
			this.chartControl1.Legend.Location = new System.Drawing.Point(314, 193);
			this.chartControl1.Legend.Size = new System.Drawing.Size(76, 28);
			this.chartControl1.Legend.TabIndex = 3;
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.Orientation = System.Windows.Forms.Orientation.Horizontal;
			this.chartControl1.Size = new System.Drawing.Size(400, 376);
			this.chartControl1.Spacing = 10F;
			this.chartControl1.TabIndex = 2;
			this.chartControl1.Text = "Essential Chart";
			this.chartControl1.Tilt = 30F;
			// 
			// chartControl1.ToolBar
			// 
			this.chartControl1.ToolBar.Location = new System.Drawing.Point(26, 26);
			this.chartControl1.ZoomFactorX = 1;
			this.chartControl1.ZoomFactorY = 1;
			this.chartControl1.ZoomOutIncrement = 1.5;
			// 
			// panel1
			// 
			this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.panel1.Controls.AddRange(new System.Windows.Forms.Control[] {
																				 this.button1});
			this.panel1.Location = new System.Drawing.Point(400, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(152, 376);
			this.panel1.TabIndex = 3;
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(40, 32);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(80, 24);
			this.button1.TabIndex = 0;
			this.button1.Text = "Add Point";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(552, 374);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.panel1,
																		  this.chartControl1});
			this.Name = "Form1";
			this.Text = "Essential Chart - Gantt Chart Sample";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.panel1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		
		private void Form1_Load(object sender, System.EventArgs e)
		{
			InitializeChartData();
		}

		/// <summary>
		/// Initializes the ChartControl's data and sets the Chart type
		/// </summary>
		protected void InitializeChartData()
		{
			Random random = new Random();
			
			ChartSeries series = this.chartControl1.Model.NewSeries("Tasks");
			series.Name = "Tasks";
			series.Text = series.Name;
			//for(int j = 0; j < 10; j++)
			//{
			//	series.Points.Add(j + 1, new DateTime[]{DateTime.Now.AddDays(random.Next(200)),DateTime.Now.AddDays( 200 + random.Next(400))});
			//}
			series.Type = ChartSeriesType.Gantt;	
			this.chartControl1.Series.Add(series);

			this.chartControl1.PrimaryXAxis.ValueType = ChartValueType.DateTime;
			this.chartControl1.LegendPosition = ChartLegendPosition.Top;
			this.chartControl1.PrimaryXAxis.LabelIntersectAction = ChartLabelIntersectAction.MultipleRows;
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			Random random = new Random();
			this.chartControl1.Series[0].Points.Add(index, new DateTime[]{DateTime.Now.AddDays(random.Next(200)),DateTime.Now.AddDays( 200 + random.Next(200))});
			this.chartControl1.Series[0].Styles[index].PointWidth = 0.5f;
			index++;
			this.chartControl1.Refresh();
		}
	}
}
